# Class DisplayMode

java.lang.Object
java.awt.DisplayMode

public final class DisplayMode extends Object
The `DisplayMode` class encapsulates the bit depth, height, width, and refresh rate of a `GraphicsDevice`. The ability to change graphics device's display mode is platform- and configuration-dependent and may not always be available (see `GraphicsDevice.isDisplayChangeSupported()`).

For more information on full-screen exclusive mode API, see the Full-Screen Exclusive Mode API Tutorial.

Since:
  1.4
See Also:
  - `GraphicsDevice`
  - `GraphicsDevice.isDisplayChangeSupported()`
  - `GraphicsDevice.getDisplayModes()`
  - `GraphicsDevice.setDisplayMode(DisplayMode)`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BIT_DEPTH_MULTI`
Value of the bit depth if multiple bit depths are supported in this display mode.
`static final int`
`REFRESH_RATE_UNKNOWN`
Value of the refresh rate if not known.

## Constructor Summary

Constructors
Constructor
Description
`DisplayMode(int width, int height, int bitDepth, int refreshRate)`
Create a new display mode object with the supplied parameters.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(DisplayMode dm)`
Returns whether the two display modes are equal.
`int`
`getBitDepth()`
Returns the bit depth of the display, in bits per pixel.
`int`
`getHeight()`
Returns the height of the display, in pixels.
`int`
`getRefreshRate()`
Returns the refresh rate of the display, in hertz.
`int`
`getWidth()`
Returns the width of the display, in pixels.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BIT_DEPTH_MULTI

@Native public static final int BIT_DEPTH_MULTI
Value of the bit depth if multiple bit depths are supported in this display mode.

See Also:
  - `getBitDepth()`
  - Constant Field Values

### REFRESH_RATE_UNKNOWN

@Native public static final int REFRESH_RATE_UNKNOWN
Value of the refresh rate if not known.

See Also:
  - `getRefreshRate()`
  - Constant Field Values

## Constructor Details

### DisplayMode

public DisplayMode(int width, int height, int bitDepth, int refreshRate)
Create a new display mode object with the supplied parameters.

Parameters:
  `width` - the width of the display, in pixels
  `height` - the height of the display, in pixels
  `bitDepth` - the bit depth of the display, in bits per pixel. This can be `BIT_DEPTH_MULTI` if multiple bit depths are available.
  `refreshRate` - the refresh rate of the display, in hertz. This can be `REFRESH_RATE_UNKNOWN` if the information is not available.
See Also:
  - `BIT_DEPTH_MULTI`
  - `REFRESH_RATE_UNKNOWN`

## Method Details

### getHeight

public int getHeight()
Returns the height of the display, in pixels.

Returns:
  the height of the display, in pixels

### getWidth

public int getWidth()
Returns the width of the display, in pixels.

Returns:
  the width of the display, in pixels

### getBitDepth

public int getBitDepth()
Returns the bit depth of the display, in bits per pixel. This may be `BIT_DEPTH_MULTI` if multiple bit depths are supported in this display mode.

Returns:
  the bit depth of the display, in bits per pixel.
See Also:
  - `BIT_DEPTH_MULTI`

### getRefreshRate

public int getRefreshRate()
Returns the refresh rate of the display, in hertz. This may be `REFRESH_RATE_UNKNOWN` if the information is not available.

Returns:
  the refresh rate of the display, in hertz.
See Also:
  - `REFRESH_RATE_UNKNOWN`

### equals

public boolean equals(DisplayMode dm)
Returns whether the two display modes are equal.

Parameters:
  `dm` - the display mode to compare to
Returns:
  whether the two display modes are equal